Raised This Month: $4 Target: $400
 1% 

Choosing the right branch of hl2sdk and MetaMod


Post New Thread Reply   
 
Thread Tools Display Modes
Author Message
tamam_tamam
New Member
Join Date: Apr 2020
Location: nope
Old 04-09-2020 , 13:22   Choosing the right branch of hl2sdk and MetaMod
Reply With Quote #1

hey there,

first of all, please correct me if i am wrong anywhere. thank you so much.

as far i know, the cs has 3 edition,
1- cs 1.6
2- css
3- csgo

So, there are many branch of hl2sdk [+], such as sdk2013, css, csgo and so on and also Metamode:source has different branches [+]

well, my main question is how choose the right branch for those 3 edition which i mentioned above? right now, i focus on cs 1.6, thanks if you give a point that which branch of hl2sdk & metamod is the right choice for me?

i interpret the extension as native code (pe, elf files) and plugin as something like amx and scripting systems.

my second question, i got a little confused and can't make heads or tails of using metamod and hl2sdk in my extension source code! are there any hell world! sample for using metamod and hl2sdk with together ? or any useful link?



thanks in advance, guys.
Alex.
tamam_tamam is offline
asherkin
SourceMod Developer
Join Date: Aug 2009
Location: OnGameFrame()
Old 04-09-2020 , 15:19   Re: Choosing the right branch of hl2sdk and MetaMod
Reply With Quote #2

CS 1.6 uses the GoldSrc engine, not the Source engine, so it does not use any version of the HL2SDK or Metamod:Source.

The HL2SDK branches are named after the engine version they're for, so hl2sdk-cstrike for CS:S and hl2sdk-csgo for CS:GO.

The MM:S branches are named after the MM:S version they're for, so you'd compile a MM:S plugin against the branch for whatever version of MM:S you have running on the server.

For GoldSrc games like CS1.6 you would need to look into the HLSDK and Metamod / AMXModX.
__________________
asherkin is offline
tamam_tamam
New Member
Join Date: Apr 2020
Location: nope
Old 04-09-2020 , 15:52   Re: Choosing the right branch of hl2sdk and MetaMod
Reply With Quote #3

Quote:
Originally Posted by asherkin View Post

CS 1.6 uses the GoldSrc engine, not the Source engine, so it does not use any version of the HL2SDK or Metamod:Source.

The HL2SDK branches are named after the engine version they're for, so hl2sdk-cstrike for CS:S and hl2sdk-csgo for CS:GO.

The MM:S branches are named after the MM:S version they're for, so you'd compile a MM:S plugin against the branch for whatever version of MM:S you have running on the server.

For GoldSrc games like CS1.6 you would need to look into the HLSDK and Metamod / AMXModX.
Thank you so much @asherkin, it was great point that i didn't know!
tamam_tamam is offline
Reply


Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -4. The time now is 23:08.


Powered by vBulletin®
Copyright ©2000 - 2020, vBulletin Solutions, Inc.
Theme made by Freecode